﻿require_("script/file.js");
require_("script/http-request.js");
require_("script/ui.js");

use_("file", "http-request", "ui",
function (file, hr, ui) {
    module_("settings", function () {
        var settingsFile = new air.File("app-storage:/settings.json");

        var json = file.readText(settingsFile);
        var settings;
        try {
            settings = eval("(" + json + ")");
            if (!settings.ui)
                settings.ui = {};
            if (!settings.cookies)
                settings.cookies = {};
        } catch (e) {
            settings = {
                ui: {},
                cookies: {}
            };
        }

        ui.data(settings.ui);
        
        hr.CookieContainer.defaultCookieContainer.items = settings.cookies;

        this.save = function (keepText) {
            settings.ui.common = ui.data("common").valueOf();
            
            settings.cookies = hr.CookieContainer.defaultCookieContainer.items;

            var json = JSON.stringify(settings, null, "    ");
            file.writeText(settingsFile, json);
        };
    });
});